| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ROM based class Mass Storage
ROM stack support

## Detailed Description

## Functions
uint32_t | CALLBACK_UsbdMsc_Register_InquiryData (void)
| Call back function registers inquiry data.
uint32_t | CALLBACK_UsbdMsc_Register_BlockCount (void)
| Call back function registers block count.
uint32_t | CALLBACK_UsbdMsc_Register_BlockSize (void)
| Call back function registers block size.
uint32_t | CALLBACK_UsbdMsc_Register_MemorySize (void)
| Call back function registers memory size.
uint32_t | CALLBACK_UsbdMsc_Register_InterfaceDescriptor (void)
| Call back function registers interface descriptor.
uint32_t | CALLBACK_UsbdMsc_Register_MSCWrite (void)
| Call back function registers Mass Storage Write.
uint32_t | CALLBACK_UsbdMsc_Register_MSCRead (void)
| Call back function registers Mass Storage Read.
uint32_t | CALLBACK_UsbdMsc_Register_MSCVerify (void)
| Call back function registers Mass Storage Verify.
uint32_t | CALLBACK_UsbdMsc_Register_MSCGetWriteBuf (void)
| Call back function registers Mass Storage Get Write Buffer.

## Function Documentation

uint32_t CALLBACK_UsbdMsc_Register_BlockCount | ( | void |  | ) |

Call back function registers block count.

Returns
  Number of blocks

uint32_t CALLBACK_UsbdMsc_Register_BlockSize | ( | void |  | ) |

Call back function registers block size.

Returns
  Size of block

uint32_t CALLBACK_UsbdMsc_Register_InquiryData | ( | void |  | ) |

Call back function registers inquiry data.

Returns
  Address of inquiry data

uint32_t CALLBACK_UsbdMsc_Register_InterfaceDescriptor | ( | void |  | ) |

Call back function registers interface descriptor.

Returns
  Address of interface descriptor array

uint32_t CALLBACK_UsbdMsc_Register_MemorySize | ( | void |  | ) |

Call back function registers memory size.

Returns
  Memory size for mass storage

uint32_t CALLBACK_UsbdMsc_Register_MSCGetWriteBuf | ( | void |  | ) |

Call back function registers Mass Storage Get Write Buffer.

Returns
  Nothing

uint32_t CALLBACK_UsbdMsc_Register_MSCRead | ( | void |  | ) |

Call back function registers Mass Storage Read.

Returns
  Nothing

uint32_t CALLBACK_UsbdMsc_Register_MSCVerify | ( | void |  | ) |

Call back function registers Mass Storage Verify.

Returns
  Nothing

uint32_t CALLBACK_UsbdMsc_Register_MSCWrite | ( | void |  | ) |

Call back function registers Mass Storage Write.

Returns
  Nothing